PHTML::Element Class Reference

`#include <html.h>`

Inheritance diagram for PHTML::Element:

## Public Member Functions

virtual | ~Element ()

## Protected Types

enum | OptionalCRLF { NoCRLF, OpenCRLF, CloseCRLF, BothCRLF }

## Protected Member Functions

| Element (const char *nam, const char *att, ElementInSet elmt, ElementInSet req, OptionalCRLF opt)
virtual void | Output (PHTML &html) const
virtual void | AddAttr (PHTML &html) const

## Friends

ostream & | operator<< (ostream &strm, const Element &elmt)

## Member Enumeration Documentation

enum PHTML::Element::OptionalCRLF

protected

Enumerator
NoCRLF |
OpenCRLF |
CloseCRLF |
BothCRLF |

## Constructor & Destructor Documentation

virtual PHTML::Element::~Element | ( |  | ) |

inline virtual

PHTML::Element::Element | ( | const char * | nam,
|  | const char * | att,
|  | ElementInSet | elmt,
|  | ElementInSet | req,
|  | OptionalCRLF | opt
| ) |  |

inline protected

## Member Function Documentation

virtual void PHTML::Element::AddAttr | ( | PHTML & | html | ) | const

protected virtual

Reimplemented in PHTML::ResetButton, PHTML::InputImage, PHTML::InputFile, PHTML::InputNumber, PHTML::RadioButton, PHTML::InputText, PHTML::HiddenField, PHTML::InputField, PHTML::TextArea, PHTML::FormField, PHTML::Option, PHTML::Select, PHTML::FieldElement, PHTML::Form, PHTML::TableStart, PHTML::ListItem, PHTML::OrderedList, PHTML::SimpleList, PHTML::Tab, PHTML::SetTab, PHTML::Image, PHTML::ImageElement, PHTML::Target, PHTML::HotLink, PHTML::PreFormat, and PHTML::Heading.

virtual void PHTML::Element::Output | ( | PHTML & | html | ) | const

protected virtual

Reimplemented in PHTML::TableEnd, PHTML::TableStart, PHTML::DefinitionItem, PHTML::DefinitionTerm, PHTML::Title, PHTML::Body, and PHTML::Head.

## Friends And Related Function Documentation

ostream& operator<< | ( | ostream & | strm,
|  | const Element & | elmt
| ) |  |

friend

The documentation for this class was generated from the following file:

- html.h